Admin A P I
Sync egg tags
Replaces the tags applied to an egg. Values may be tag IDs or new tag names.
PUT
/api/admin/eggs/{egg_id}/tagsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
egg_id*integer
The egg ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/admin/eggs/1/tags" \ -H "Content-Type: application/json" \ -d '{}'{ "object": "list", "data": [ { "object": "tag", "attributes": { "id": 510, "name": "fugiat sunt", "slug": "fugiat-sunt", "color": "#54db8e", "is_predefined": false, "legacy_nest_id": 1, "eggs_count": 0, "nodes_count": 0, "created_at": "2026-09-22T14:45:25+00:00", "updated_at": "2026-09-22T14:45:25+00:00" }, "meta": { "resource": "https://panel.example.com/api/admin/tags/1" } } ]}